package com.fjhx.sale.service.pack.impl;

import com.fjhx.sale.entity.pack.po.PackShipment;
import com.fjhx.sale.mapper.pack.PackShipmentMapper;
import com.fjhx.sale.service.pack.PackShipmentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackShipmentVo;
import com.fjhx.sale.entity.pack.dto.PackShipmentSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.sale.entity.pack.dto.PackShipmentDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 出货绑定主合同表 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
@Service
public class PackShipmentServiceImpl extends ServiceImpl<PackShipmentMapper, PackShipment> implements PackShipmentService {

    @Override
    public Page<PackShipmentVo> getPage(PackShipmentSelectDto dto) {
        IWrapper<PackShipment> wrapper = getWrapper();
        wrapper.orderByDesc("ps", PackShipment::getId);
        Page<PackShipmentVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public PackShipmentVo detail(Long id) {
        PackShipment PackShipment = this.getById(id);
        PackShipmentVo result = BeanUtil.toBean(PackShipment, PackShipmentVo.class);
        return result;
    }

    @Override
    public void add(PackShipmentDto packShipmentDto) {
        this.save(packShipmentDto);
    }

    @Override
    public void edit(PackShipmentDto packShipmentDto) {
        this.updateById(packShipmentDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
